/*
 * File name: ClientHandler.java
 * Date:      2021/04/14 
 * Author:    Jiri Vokrinek
 */

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.Socket;
import java.net.InetSocketAddress;

public class Client {

    Socket socket;
    BufferedReader in;
    OutputStreamWriter out;

    Client(String host, int port) {
        try {
            socket = new Socket();
            socket.connect(new InetSocketAddress(host, port));

            out = new OutputStreamWriter(socket.getOutputStream());
            in = new BufferedReader(new InputStreamReader(socket.getInputStream()));

            System.out.println(in.readLine());

            out.write("user\n");
            out.flush();

            System.out.println(in.readLine());

            out.write("heslo\n");
            out.flush();

            System.out.println(in.readLine());

            out.write("time\n");
            out.flush();
            System.out.println("Time on server is " + in.readLine());
            
            out.write("bye\n");
            out.flush();

            socket.shutdownOutput();
            socket.close();
            System.out.println("Communication END");
        } catch (Exception e) {
            System.out.println("Exception:" + e.getMessage());
        }
    }

    public static void main(String[] args) {
        Client c = new Client(
                args.length > 0 ? args[0] : "localhost",
                args.length > 1 ? Integer.parseInt(args[1]) : 9000
        );
    }
}
